namespace ProfitGroup.SampleService.Models.Confirmation
{

    //public class SampleConfirmationDto
    //{
    //    public string MessageId { get; set; }
    //    public string LineCode { get; set; }
    //    public string InspectionLot { get; set; }
    //    public string SC_VALUE { get; set; }
    //    public string StatusCode { get; set; }
    //    public string StatusText { get; set; }
    //    public string Proba { get; internal set; }
    //}


    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.xmlsoap.org/soap/envelope/")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "http://schemas.xmlsoap.org/soap/envelope/", IsNullable = false)]
    public partial class Envelope
    {

        private object headerField;

        private EnvelopeBody bodyField;

        /// <remarks/>
        public object Header
        {
            get
            {
                return this.headerField;
            }
            set
            {
                this.headerField = value;
            }
        }

        /// <remarks/>
        public EnvelopeBody Body
        {
            get
            {
                return this.bodyField;
            }
            set
            {
                this.bodyField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.xmlsoap.org/soap/envelope/")]
    public partial class EnvelopeBody
    {

        private MT_InspLotConf mT_InspLotConfField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://lukoil.ru/opcenter/ORM")]
        public MT_InspLotConf MT_InspLotConf
        {
            get
            {
                return this.mT_InspLotConfField;
            }
            set
            {
                this.mT_InspLotConfField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://lukoil.ru/opcenter/ORM")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "http://lukoil.ru/opcenter/ORM", IsNullable = false)]
    public partial class MT_InspLotConf
    {

        private Document documentField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "")]
        public Document Document
        {
            get
            {
                return this.documentField;
            }
            set
            {
                this.documentField = value;
            }
        }
    }

    /// <remarks/>
    [System.Serializable()]
    [System.ComponentModel.DesignerCategory("code")]
    [System.Xml.Serialization.XmlType(AnonymousType = true)]
    [System.Xml.Serialization.XmlRoot(Namespace = "", IsNullable = false)]
    public partial class Document
    {

        private string lineIdField;

        private string controlPartionIdField;

        private string probeIdField;

        private string sC_VALUEField;

        private string statusField;

        private string statusTextField;

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string LineId
        {
            get
            {
                return this.lineIdField;
            }
            set
            {
                this.lineIdField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string ControlPartionId
        {
            get
            {
                return this.controlPartionIdField;
            }
            set
            {
                this.controlPartionIdField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string ProbeId
        {
            get
            {
                return this.probeIdField;
            }
            set
            {
                this.probeIdField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string SC_VALUE
        {
            get
            {
                return this.sC_VALUEField;
            }
            set
            {
                this.sC_VALUEField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Status
        {
            get
            {
                return this.statusField;
            }
            set
            {
                this.statusField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string StatusText
        {
            get
            {
                return this.statusTextField;
            }
            set
            {
                this.statusTextField = value;
            }
        }
    }





}